%define upstream_name	 Test-Base
%define upstream_version 0.60

%define _requires_exceptions Module::Install

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Data Driven Testing Framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(Spiffy) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildArch:  noarch

%description
Perl gives you a standard way to run tests with Test::Harness, and basic
testing primitives with Test::More. After that you are pretty much on your own
to develop a testing framework and philosophy. Test::More encourages you to
make your own framework by subclassing Test::Builder, but that is not trivial.
Test::Base gives you a way to write your own test framework base class that is
trivial.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %buildroot
%makeinstall_std

%clean 
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%perl_vendorlib/Test
%perl_vendorlib/Module
%_mandir/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.600.0-2.mga3
+ Revision: 373350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 0.600.0-1.mga1
+ Revision: 81764
- update to 0.60

* Wed Jan 19 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 24260
- fix specs
- imported package perl-Test-Base

